StandardELContext (EL 6.0 API Documentation - Apache Tomcat 11.0.21)
Description: declaration: package: jakarta.el, class: StandardELContext

# Class StandardELContext

java.lang.Object
jakarta.el.ELContext
jakarta.el.StandardELContext

public class StandardELContext extends ELContext

Since:
  EL 3.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StandardELContext(ELContext context)`
  `StandardELContext(ExpressionFactory factory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addELResolver(ELResolver resolver)`
  `Object`
  `getContext(Class<?> key)`
  Obtain the context object for the given key.
  `ELResolver`
  `getELResolver()`
  `FunctionMapper`
  `getFunctionMapper()`
  `VariableMapper`
  `getVariableMapper()`
  `void`
  `putContext(Class<?> key, Object contextObject)`
  Add an object to this EL context under the given key.

  ### Methods inherited from class ELContext

  `addEvaluationListener, convertToType, enterLambdaScope, exitLambdaScope, getEvaluationListeners, getImportHandler, getLambdaArgument, getLocale, isLambdaArgument, isPropertyResolved, notifyAfterEvaluation, notifyBeforeEvaluation, notifyPropertyResolved, setLocale, setPropertyResolved, setPropertyResolved`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StandardELContext

    public StandardELContext(ExpressionFactory factory)

  - ### StandardELContext

    public StandardELContext(ELContext context)

- ## Method Details

  - ### putContext

    public void putContext(Class<?> key, Object contextObject)
    Description copied from class: `ELContext`
    Add an object to this EL context under the given key.
    Overrides:
      `putContext` in class `ELContext`
    Parameters:
      `key` - The key under which to store the object
      `contextObject` - The object to add

  - ### getContext

    public Object getContext(Class<?> key)
    Description copied from class: `ELContext`
    Obtain the context object for the given key.
    Overrides:
      `getContext` in class `ELContext`
    Parameters:
      `key` - The key of the required context object
    Returns:
      The value of the context object associated with the given key

  - ### getELResolver

    public ELResolver getELResolver()
    Specified by:
      `getELResolver` in class `ELContext`

  - ### addELResolver

    public void addELResolver(ELResolver resolver)

  - ### getFunctionMapper

    public FunctionMapper getFunctionMapper()
    Specified by:
      `getFunctionMapper` in class `ELContext`

  - ### getVariableMapper

    public VariableMapper getVariableMapper()
    Specified by:
      `getVariableMapper` in class `ELContext`